
TYPO3.Flow - Bug # 34466

Status: Resolved Priority: Should have
Author: Andreas Förthner Category: Security
Created: 2012-03-02 Assigned To: Andreas Förthner
Updated: 2012-04-28 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: Roles are not cleared after every test in functional tests
Description

If you do not call authenticateRoles() in one test this will not end in no roles being authenticated as expected. Instead the roles from
the last test are still there.

Associated revisions
Revision 771bc9b8 - 2012-04-27 15:00 - Andreas Förthner

[BUGFIX] Fix functional testing for security features

The authenticated roles from one test have not been
cleared after the test.

Adds a safeguard for getAccount() to the security context
along the way.

Change-Id: I0abf72eefd355d290ee591f385a6227d8b990512
Releases: 1.1
Fixes: #34466

History
#1 - 2012-03-07 17:47 - Karsten Dambekalns
- Status changed from New to Accepted
- Target version set to 1.1

Andi, I set this to accepted - right?

#2 - 2012-03-08 10:35 - Andreas Förthner

Yes, have the fix already here. Will be pushed together with some content security functional tests...

#3 - 2012-03-15 20:07 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9676

#4 - 2012-04-11 15:38 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9676

#5 - 2012-04-20 15:05 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9676

#6 - 2012-04-20 22:50 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9676

#7 - 2012-04-26 17:32 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9676

#8 - 2012-04-26 21:43 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9676

#9 - 2012-04-27 15:00 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9676

#10 - 2012-04-28 14:37 - Andreas Förthner
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:771bc9b8a43b25be454e71b8acd61e18e79bbf87.
